# Uncomment the line if you want fastlane to automatically update itself
# update_fastlane

default_platform(:android)

platform :android do
  # desc "Runs all the tests"
  # lane :test do
  #   gradle(task: "test")
  # end

  desc "Deploy a new version as a preview version"
  lane :deploy_testing do
    gradle(
      task: "bundle",
      # flavor: "staging",
      )

    upload_to_play_store(
      track: 'alpha',
      skip_upload_apk: true,
      skip_upload_changelogs: true,
      )
  end

  desc "Deploy a new version as a full release"
  lane :deploy_release do
    gradle(
      task: "clean assembleRelease",
      properties: {
        # loaded from environment
        "android.injected.version.name" => ENV["VERSION_NAME"],
      }
      )
    upload_to_play_store(
      track: "production",
      skip_upload_apk: true,
      skip_upload_changelogs: true,
    )
  end
end
